# Get Spend Limit

Retrieves a Spend Limit by ID

Endpoint: GET /v1/budgets/{id}
Version: 1.0
Security: OAuth2

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `budget_id` (string, required)
    Unique ID for the Spend Limit.

  - `account_id` (string, required)
    The Brex account this Spend Limit belongs to.

  - `creator_user_id` (string,null)
    The ID of the user who originally created this Spend Limit.

  - `name` (string, required)
    Name for the Spend Limit.

  - `description` (string,null)
    Description of what the Spend Limit is used for.

  - `parent_budget_id` (string,null)
    ID of parent Budget.

  - `owner_user_ids` (array, required)
    User IDs of the owners of the Spend Limit.

  - `member_user_ids` (array, required)
    User IDs of the members of the Spend Limit.

  - `period_type` (string, required)
    Period type of the Spend Limit e.g. MONTHLY.
    Enum: "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY", "ONE_TIME"

  - `start_date` (string,null)
    The UTC date when the Spend Limit should start counting.

  - `end_date` (string,null)
    The UTC date when the Spend Limit should stop counting.

  - `limit` (object,null)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `limit.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `limit.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `budget_status` (string, required)
    Status of the Spend Limit e.g. APPROVED.
    Enum: "APPROVED", "EXPIRED", "TERMINATED", "DELETED"

  - `limit_type` (string,null)
    Whether the Spend Limit's limit blocks spend.
    Enum: "HARD", "SOFT"

  - `spend_type` (string, required)
    Whether this Spend Limit only can be spent from by cards provisioned by this Spend Limit.
    Enum: "BUDGET_PROVISIONED_CARDS_ONLY", "NON_BUDGET_PROVISIONED_CARDS_ALLOWED"

  - `current_period_balance` (object,null)
    Current Spend Limit period balance.

  - `current_period_balance.start_date` (string,null)

  - `current_period_balance.end_date` (string,null)

  - `current_period_balance.balance` (object,null)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `current_period_balance.balance.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `current_period_balance.balance.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `limit_visibility` (string, required)
    Determines if Spend Limit members are allowed to view the Spend Limit's limit.
    Enum: "SHARED", "PRIVATE"

  - `templateId` (string,null)

  - `budget_type` (string, required)
    Whether this is a Budget or a Spend Limit for post-bifurcation entities.
    Enum: "BUDGET", "SPEND_LIMIT"


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
